#! /usr/local/bin/perl
#############################################################################
#
#   Copyright 1995 by the Northeast Parallel Architectures Center at 
#   Syracuse University and Global Business Network, Inc.
#  
#   File:          Address.pl
#
#   Author:        Paul Coddington (paulc@npac.syr.edu)
#
#   Created:       11/02/95
#
#   Input:         VOID
#   Output:        HTML text
#          
#   Description:   Adds address information for WeBBoard.
#
#############################################################################

require "source/npac-lib";		# Some useful routines
require "source/CheckPasswd.pl"; 

sub Address {
   local($subdir) = @_;
   local($admin, $address);

   $admin = &GetAddress($subdir, "administrator");

   # $_ = &GetFile("HTML/Address.html", $webboardhome);
   # s/"\$admin"/$admin/;
   # s/"\$version"/$version/;
   
   $message = &GetFile("HTML/Address.html", $webboardhome);
   $message =~ s/\$admin/$admin/;
   $message =~ s/\$version/$version/;
   print "$message";
}
1;

